searchData={"items":[{"type":"module","title":"YamlRustler","doc":"YAML parsing library using Rust's yaml-rust2 via Rustler.","ref":"YamlRustler.html"},{"type":"function","title":"YamlRustler.parse/1","doc":"Parses a YAML string and returns an Elixir data structure.","ref":"YamlRustler.html#parse/1"},{"type":"function","title":"Examples - YamlRustler.parse/1","doc":"iex> YamlRustler.parse(\"foo: bar\")\n    {:ok, %{\"foo\" => \"bar\"}}\n\n    iex> YamlRustler.parse(\"invalid: : yaml\")\n    {:error, \"YAML parsing error: mapping values are not allowed in this context at byte 9 line 1 column 10\"}","ref":"YamlRustler.html#parse/1-examples"},{"type":"extras","title":"YamlRustler","doc":"# YamlRustler\n\nYamlRustler is a fast YAML parsing library for Elixir, leveraging the power of Rust's [yaml-rust2](https://github.com/Ethiraric/yaml-rust2) library via [Rustler](https://github.com/rusterlium/rustler).","ref":"readme.html"},{"type":"extras","title":"Installation - YamlRustler","doc":"Add `yaml_rustler` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:yaml_rustler, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - YamlRustler","doc":"```elixir\niex> yaml = \"\"\"\n...> foo: bar\n...> baz:\n...>   - qux\n...>   - quux\n...> \"\"\"\niex> YamlRustler.parse(yaml)\n{:ok, %{\"foo\" => \"bar\", \"baz\" => [\"qux\", \"quux\"]}}\n```","ref":"readme.html#usage"},{"type":"extras","title":"Performance - YamlRustler","doc":"YamlRustler has been benchmarked against fast_yaml, another popular YAML parsing library for Elixir. Here are the results:\n\n```\nName                   ips        average  deviation         median         99th %\nyaml_rustler       49.00 K       20.41 μs   ±126.22%       18.92 μs       41.46 μs\nfast_yaml          46.28 K       21.61 μs    ±99.17%       20.25 μs       37.38 μs\n\nComparison:\nyaml_rustler       49.00 K\nfast_yaml          46.28 K - 1.06x slower +1.20 μs\n```\n\nThese benchmarks show that YamlRustler is slightly faster than fast_yaml, performing about 1.06x better on average.","ref":"readme.html#performance"},{"type":"extras","title":"Features - YamlRustler","doc":"- Fast YAML parsing using Rust's yaml-rust2 library\n- Fully compatible with Elixir data structures\n- Supports parsing of complex YAML structures","ref":"readme.html#features"},{"type":"extras","title":"Limitations - YamlRustler","doc":"- Currently only supports parsing a single YAML document per string. Multi-document YAML files are not supported yet.\n- Does not support YAML dumping (converting Elixir structures to YAML) at this time.","ref":"readme.html#limitations"},{"type":"extras","title":"Contributing - YamlRustler","doc":"Contributions are welcome! Please feel free to submit a Pull Request.","ref":"readme.html#contributing"},{"type":"extras","title":"License - YamlRustler","doc":"This project is licensed under the MIT License - see the LICENSE file for details.","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}